Subject: shim6 Digest, Vol 1, Issue 1

From: [email-masked]
Date: Fri, 08 May 2009 12:00:05 -0700

If you have received this digest without all the individual message
attachments you will need to update your digest options in your list
subscription.  To do so, go to 

https://www.ietf.org/mailman/listinfo/shim6

Click the 'Unsubscribe or edit options' button, log in, and set "Get
MIME or Plain Text Digests?" to MIME.  You can set this option
globally for all the list digests you receive at this point.

Send shim6 mailing list submissions to
	[email-masked]

To subscribe or unsubscribe via the World Wide Web, visit
	https://www.ietf.org/mailman/listinfo/shim6
or, via email, send a message with subject or body 'help' to
	[email-masked]

You can reach the person managing the list at
	[email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of shim6 digest..."

Today's Topics:

   1. I-D Action:draft-ietf-shim6-multihome-shim-api-08.txt
      (Geoff Huston)
   2. Re: successful termination? (Shinta Sugimoto)
   3. Re: successful termination? (Jari Arkko)

----------------------------------------------------------------------

Message: 1
Date: Fri, 8 May 2009 11:31:10 +1000
From: Geoff Huston <[email-masked]>
Subject: [shim6] I-D Action:draft-ietf-shim6-multihome-shim-api-08.txt
To: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=US-ASCII; format=flowed; delsp=yes

>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
> This draft is a work item of the Site Multihoming by IPv6  
> Intermediation Working Group of the IETF.
>
>
> 	Title           : Socket Application Program Interface (API) for  
> Multihoming Shim
> 	Author(s)       : M. Komu, et al.
> 	Filename        : draft-ietf-shim6-multihome-shim-api-08.txt
> 	Pages           : 39
> 	Date            : 2009-05-07
>
> This document specifies sockets API extensions for the multihoming
> shim layer.  The API aims to enable interactions between applications
> and the multihoming shim layer for advanced locator management, and
> access to information about failure detection and path exploration.
>
> This document is based on an assumption that a multihomed host is
> equipped with a conceptual sub-layer (hereafter "shim") inside the IP
> layer that maintains mappings between identifiers and locators.
> Examples of the shim are SHIM6 and HIP.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-shim6-multihome-shim-api-08.txt

------------------------------

Message: 2
Date: Fri, 08 May 2009 19:05:50 +0900
From: Shinta Sugimoto <[email-masked]>
Subject: Re: [shim6] successful termination?
To: Jari Arkko <[email-masked]>
Cc: [email-masked], [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Hi,

I am sorry for the delayed response. Let me state my opinion about the 
SHIM6 WG.

I, as an editor of the multihome shim API draft [1], am willing to 
complete the work, i.e., to produce an informational RFC document.  The 
API is intended to provide the ability of locator management for 
applications, and it is designed to provide common features for HIP and 
SHIM6.  The activity level of the API document has been low for a long 
while.  To our knowledge, there is no major issues left.  We need to ask 
HIP/SHIM6 implementers to review the document and get feedbacks, and 
incorporate necessary changes.

W.r.t. the next step of the SHIM6 WG, I personally have no strong 
opinion as I have limited chances to participate IETF meetings 
unfortunately.  Excuse me for asking a basic question, but does the 
above (producing an informational RFC document from a WG draft) requires 
WG to exist?  If so, I would vote for 3.  Otherwise (I mean, I assume 
that technical discussions can be made over email), I will vote for 1.

[1] http://tools.ietf.org/html/draft-ietf-shim6-multihome-shim-api-08

Regards,
Shinta

Jari Arkko wrote:
> Folks,
> 
> As you may have noticed, all three base Shim6 documents have now been 
> approved after extensive edits from IESG reviews. This is obviously a 
> very happy outcome even if it took a long time. Thank you everyone who 
> was involved in making this happen!
> 
> Last week I when I met the chairs and lead authors I asked what they 
> believe should happen next. A lively discussion followed about the 
> status of the technology, the WG, and its few remaining WG documents. 
> But our main conclusion was that the working group participants should 
> tell us what they have in mind.
> 
> Here's a couple of different alternatives:
> 
> 1. Declare success and close the WG. The most important work now is 
> implementation, testing, and deployments. The WG is not needed at this 
> moment, and if it will later be needed, it is easy to create a 
> maintenance WG. Or if a new effort for some bigger new piece of 
> functionality is needed, the proper way to do that is through a BOF 
> anyway. Question: how many implementations exist? Which ones are worked 
> on actively? Is there any deployment or trial experience to report?
> 
> 2. Put the WG into sleep for a year or two, and return when there's 
> additional experience.
> 
> 3. Work on the most important one(s) of the remaining WG documents 
> (locator-pair-selection, api, applicability). Which one? Is there energy 
> to do the work, including WG participants doing reviews, commenting on 
> issues, etc?
> 
> 4. Do something else that is important for Shim6. What?
> 
> We would like to move forward with this in a couple of weeks. The WG 
> will either be closed or rechartered. Let us know if you are interested 
> and if so, what you believe should be done.
> 
> Jari
> 
> 
> 

------------------------------

Message: 3
Date: Fri, 08 May 2009 13:18:55 +0300
From: Jari Arkko <[email-masked]>
Subject: Re: [shim6] successful termination?
To: Shinta Sugimoto <[email-masked]>
Cc: [email-masked], [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed

Thanks for your feedback. I'm responding to your process question below.

> W.r.t. the next step of the SHIM6 WG, I personally have no strong 
> opinion as I have limited chances to participate IETF meetings 
> unfortunately.  Excuse me for asking a basic question, but does the 
> above (producing an informational RFC document from a WG draft) 
> requires WG to exist?  If so, I would vote for 3.  Otherwise (I mean, 
> I assume that technical discussions can be made over email), I will 
> vote for 1.

Formally, nothing requires a WG to exist. Area Directors can sponsor 
documents even to standards track without the existence of a working 
group. But of course the issue is whether the existence of a WG helps in 
arranging discussions about the document. Often it does, because there 
will be chairs asking for last calls, possibly more people are going to 
be interested in tracking list discussions of an existing WG, the only 
way to have a face-to-face discussion in a meeting is to have a WG, and 
so on.

Jari

> [1] http://tools.ietf.org/html/draft-ietf-shim6-multihome-shim-api-08
>
> Regards,
> Shinta
>
> Jari Arkko wrote:
>> Folks,
>>
>> As you may have noticed, all three base Shim6 documents have now been 
>> approved after extensive edits from IESG reviews. This is obviously a 
>> very happy outcome even if it took a long time. Thank you everyone 
>> who was involved in making this happen!
>>
>> Last week I when I met the chairs and lead authors I asked what they 
>> believe should happen next. A lively discussion followed about the 
>> status of the technology, the WG, and its few remaining WG documents. 
>> But our main conclusion was that the working group participants 
>> should tell us what they have in mind.
>>
>> Here's a couple of different alternatives:
>>
>> 1. Declare success and close the WG. The most important work now is 
>> implementation, testing, and deployments. The WG is not needed at 
>> this moment, and if it will later be needed, it is easy to create a 
>> maintenance WG. Or if a new effort for some bigger new piece of 
>> functionality is needed, the proper way to do that is through a BOF 
>> anyway. Question: how many implementations exist? Which ones are 
>> worked on actively? Is there any deployment or trial experience to 
>> report?
>>
>> 2. Put the WG into sleep for a year or two, and return when there's 
>> additional experience.
>>
>> 3. Work on the most important one(s) of the remaining WG documents 
>> (locator-pair-selection, api, applicability). Which one? Is there 
>> energy to do the work, including WG participants doing reviews, 
>> commenting on issues, etc?
>>
>> 4. Do something else that is important for Shim6. What?
>>
>> We would like to move forward with this in a couple of weeks. The WG 
>> will either be closed or rechartered. Let us know if you are 
>> interested and if so, what you believe should be done.
>>
>> Jari
>>
>>
>>
>
>
>

------------------------------

_______________________________________________
shim6 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/shim6

End of shim6 Digest, Vol 1, Issue 1
***********************************